Package org.eclipse.emf.cdo.common

# Interface CDOCommonSession.Options.LockNotificationModeEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`, `org.eclipse.net4j.util.options.IOptionsEvent`

All Known Subinterfaces:
  `CDOCommonSession.Options.LockNotificationEvent`

Enclosing interface:
  `CDOCommonSession.Options`

public static interface CDOCommonSession.Options.LockNotificationModeEvent extends org.eclipse.net4j.util.options.IOptionsEvent
An `options event` fired when the `lock notification mode` of a CDO session has changed.

Since:
  4.1
Author:
  Caspar De Groot

## Method Summary

Modifier and Type
Method
Description
`CDOCommonSession.Options.LockNotificationMode`
`getNewMode()`
`CDOCommonSession.Options.LockNotificationMode`
`getOldMode()`

### Methods inherited from interface org.eclipse.net4j.util.options.IOptionsEvent

`getSource`

## Method Details

### getOldMode

CDOCommonSession.Options.LockNotificationMode getOldMode()

### getNewMode

CDOCommonSession.Options.LockNotificationMode getNewMode()